%define module		Forest
%define name		perl-%{module}
%define distname	forest_utils
%define version		0.05
%define release		3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module to convert between various formats for shared derivation forest
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{distname}-%{version}.tar.bz2
Patch0:		%{name}-0.05.makefile.patch.bz2
Patch1:		%{name}-0.05.namespace.patch.bz2
Url:		http://atoll.inria.fr/packages/packages.html#forest_utils
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
forest_utils is a set of Perl scripts to convert between various formats for
shared derivation forest produced by parsers for Tree Adjoining Grammars [TAG].

%prep
%setup -q -n %{distname}-%{version}
%patch0
%patch1 -p1
mv forest_convert.pl forest_converter

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes
%{_bindir}/*
%{perl_vendorlib}/Forest*
%{_mandir}/*/*

%changelog
* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-3mdk 
- fix buildrequires in a backward compatible way

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-2mdk 
- fix namespace issues

* Tue Nov 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-1mdk 
- first mdk release
